com.icesoft.faces.facelets.component.tristatecheckbox

## Class TriStateCheckbox

- java.lang.Object
- - com.icesoft.faces.facelets.component.tristatecheckbox.TriStateCheckbox

- All Implemented Interfaces:
    java.io.Serializable

      public class TriStateCheckbox
      extends java.lang.Object
      implements java.io.Serializable

  Bean code for the composition component, which is able to represent a three-state checkbox, with unchecked, unchecked, and partially checked associated states.
  Author:
    philip.breau@icesoft.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CHECKED`
    `static java.lang.String[]` | `DEFAULT_CHECK_ORDER`
    `static java.lang.String` | `PARTIALLY_CHECKED`
    `static java.lang.String` | `UNCHECKED` The unchecked state value
    `static java.lang.String[]` | `UNCHECKED_CHECKED_ORDER`
    `static java.lang.String[]` | `UNCHECKED_CHECKED_PARTIALLY_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TriStateCheckbox()`
    `TriStateCheckbox(java.lang.String[] checkOrder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkboxClicked(javax.faces.event.ActionEvent event)`
    `java.lang.String` | `getCheckStatus()`
    `java.lang.String` | `getStatusImageKey()`
    `boolean` | `isChecked()`
    `boolean` | `isDisabled()`
    `boolean` | `isPartiallyChecked()`
    `void` | `setChecked()`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setPartiallyChecked()`
    `void` | `setUnchecked()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNCHECKED

          public static java.lang.String UNCHECKED

      The unchecked state value

    - #### CHECKED

          public static java.lang.String CHECKED

    - #### PARTIALLY_CHECKED

          public static java.lang.String PARTIALLY_CHECKED

    - #### DEFAULT_CHECK_ORDER

          public static java.lang.String[] DEFAULT_CHECK_ORDER

    - #### UNCHECKED_CHECKED_ORDER

          public static java.lang.String[] UNCHECKED_CHECKED_ORDER

    - #### UNCHECKED_CHECKED_PARTIALLY_ORDER

          public static java.lang.String[] UNCHECKED_CHECKED_PARTIALLY_ORDER

  - ### Constructor Detail

    - #### TriStateCheckbox

          public TriStateCheckbox()

    - #### TriStateCheckbox

          public TriStateCheckbox(java.lang.String[] checkOrder)

  - ### Method Detail

    - #### checkboxClicked

          public void checkboxClicked(javax.faces.event.ActionEvent event)

    - #### isDisabled

          public boolean isDisabled()

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### setPartiallyChecked

          public void setPartiallyChecked()

    - #### setUnchecked

          public void setUnchecked()

    - #### setChecked

          public void setChecked()

    - #### getCheckStatus

          public java.lang.String getCheckStatus()

    - #### isChecked

          public boolean isChecked()

    - #### isPartiallyChecked

          public boolean isPartiallyChecked()

    - #### getStatusImageKey

          public java.lang.String getStatusImageKey()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.